[arch-commits] Commit in lib32-librsvg/repos/multilib-x86_64 (6 files)

Jan Steffens heftig at archlinux.org
Thu Apr 23 17:56:16 UTC 2020


    Date: Thursday, April 23, 2020 @ 17:56:11
  Author: heftig
Revision: 618313

archrelease: copy trunk to multilib-x86_64

Added:
  lib32-librsvg/repos/multilib-x86_64/PKGBUILD
    (from rev 618312, lib32-librsvg/trunk/PKGBUILD)
  lib32-librsvg/repos/multilib-x86_64/lto.diff
    (from rev 618312, lib32-librsvg/trunk/lto.diff)
  lib32-librsvg/repos/multilib-x86_64/multilib.diff
    (from rev 618312, lib32-librsvg/trunk/multilib.diff)
Deleted:
  lib32-librsvg/repos/multilib-x86_64/PKGBUILD
  lib32-librsvg/repos/multilib-x86_64/lto.diff
  lib32-librsvg/repos/multilib-x86_64/multilib.diff

---------------+
 PKGBUILD      |  134 ++++++++++++++++++++++++++++----------------------------
 lto.diff      |   20 ++++----
 multilib.diff |   66 +++++++++++++--------------
 3 files changed, 110 insertions(+), 110 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-23 17:55:48 UTC (rev 618312)
+++ PKGBUILD	2020-04-23 17:56:11 UTC (rev 618313)
@@ -1,67 +0,0 @@
-# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Contributor: jtts <jussaar at mbnet.fi>
-# Contributor: Jan de Groot <jgc at archlinux.org>
-
-pkgname=lib32-librsvg
-pkgver=2.48.3
-pkgrel=1
-pkgdesc="SVG rendering library (32-bit)"
-url="https://wiki.gnome.org/Projects/LibRsvg"
-arch=(x86_64)
-license=(LGPL)
-depends=(lib32-gdk-pixbuf2 lib32-pango lib32-libxml2 librsvg)
-makedepends=(gobject-introspection gtk-doc git rust lib32-rust-libs)
-checkdepends=(ttf-dejavu)
-provides=(librsvg-${pkgver%%.*}.so)
-_commit=7f5191604e79e2b8d19be0350ad4c8991d2348ec  # tags/2.48.3^0
-source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
-        lto.diff multilib.diff)
-sha256sums=('SKIP'
-            '3cc8ad1af515b2cb4071f0647319c1cf3280dc054875634239061800af1616b6'
-            'c32283a724e8d1a87ad64330ee72781396b6f439dcae0f56da074e9a988ec544')
-
-pkgver() {
-  cd librsvg
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd librsvg
-
-  # Turn LTO back on
-  git apply -3 ../lto.diff
-
-  # Hack to cross-compile rust only
-  git apply -3 ../multilib.diff
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  export CC='gcc -m32'
-  export CXX='g++ -m32'
-  export PKG_CONFIG=i686-pc-linux-gnu-pkg-config
-  export RUST_TARGET=i686-unknown-linux-gnu
-
-  cd librsvg
-  ./configure --prefix=/usr --disable-static --disable-vala \
-    --disable-gtk-doc --disable-introspection --libdir=/usr/lib32
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
-  make
-}
-
-check() {
-  cd librsvg
-  # Reftests are probably broken
-  # some reference images were created without the requested fonts
-  make check || :
-}
-
-package() {
-  cd librsvg
-  make DESTDIR="$pkgdir" install
-  rm -r "$pkgdir"/usr/{bin,include,share}
-}
-
-# vim: ts=2 sw=2 et:

Copied: lib32-librsvg/repos/multilib-x86_64/PKGBUILD (from rev 618312, lib32-librsvg/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-23 17:56:11 UTC (rev 618313)
@@ -0,0 +1,67 @@
+# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: jtts <jussaar at mbnet.fi>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=lib32-librsvg
+pkgver=2.48.4
+pkgrel=1
+pkgdesc="SVG rendering library (32-bit)"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(x86_64)
+license=(LGPL)
+depends=(lib32-gdk-pixbuf2 lib32-pango lib32-libxml2 librsvg)
+makedepends=(gobject-introspection gtk-doc git rust lib32-rust-libs)
+checkdepends=(ttf-dejavu)
+provides=(librsvg-${pkgver%%.*}.so)
+_commit=02b95cbc15643716372be53bb2982966c2fbd7b6  # tags/2.48.4^0
+source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
+        lto.diff multilib.diff)
+sha256sums=('SKIP'
+            '3cc8ad1af515b2cb4071f0647319c1cf3280dc054875634239061800af1616b6'
+            'c32283a724e8d1a87ad64330ee72781396b6f439dcae0f56da074e9a988ec544')
+
+pkgver() {
+  cd librsvg
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd librsvg
+
+  # Turn LTO back on
+  git apply -3 ../lto.diff
+
+  # Hack to cross-compile rust only
+  git apply -3 ../multilib.diff
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export CC='gcc -m32'
+  export CXX='g++ -m32'
+  export PKG_CONFIG=i686-pc-linux-gnu-pkg-config
+  export RUST_TARGET=i686-unknown-linux-gnu
+
+  cd librsvg
+  ./configure --prefix=/usr --disable-static --disable-vala \
+    --disable-gtk-doc --disable-introspection --libdir=/usr/lib32
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+  make
+}
+
+check() {
+  cd librsvg
+  # Reftests are probably broken
+  # some reference images were created without the requested fonts
+  make check || :
+}
+
+package() {
+  cd librsvg
+  make DESTDIR="$pkgdir" install
+  rm -r "$pkgdir"/usr/{bin,include,share}
+}
+
+# vim: ts=2 sw=2 et:

Deleted: lto.diff
===================================================================
--- lto.diff	2020-04-23 17:55:48 UTC (rev 618312)
+++ lto.diff	2020-04-23 17:56:11 UTC (rev 618313)
@@ -1,10 +0,0 @@
-diff --git i/Cargo.toml w/Cargo.toml
-index 818fa620..c776b113 100644
---- i/Cargo.toml
-+++ w/Cargo.toml
-@@ -8,3 +8,5 @@ members = [
- 
- [profile.release]
- debug = true
-+lto = "fat"
-+codegen-units = 1

Copied: lib32-librsvg/repos/multilib-x86_64/lto.diff (from rev 618312, lib32-librsvg/trunk/lto.diff)
===================================================================
--- lto.diff	                        (rev 0)
+++ lto.diff	2020-04-23 17:56:11 UTC (rev 618313)
@@ -0,0 +1,10 @@
+diff --git i/Cargo.toml w/Cargo.toml
+index 818fa620..c776b113 100644
+--- i/Cargo.toml
++++ w/Cargo.toml
+@@ -8,3 +8,5 @@ members = [
+ 
+ [profile.release]
+ debug = true
++lto = "fat"
++codegen-units = 1

Deleted: multilib.diff
===================================================================
--- multilib.diff	2020-04-23 17:55:48 UTC (rev 618312)
+++ multilib.diff	2020-04-23 17:56:11 UTC (rev 618313)
@@ -1,33 +0,0 @@
- Makefile.am  | 2 --
- configure.ac | 4 +---
- 2 files changed, 1 insertion(+), 5 deletions(-)
-
-diff --git c/Makefile.am i/Makefile.am
-index acf51182..8fd9eb8f 100644
---- c/Makefile.am
-+++ i/Makefile.am
-@@ -133,9 +133,7 @@ else
- CARGO_RELEASE_ARGS=--release
- endif
- 
--if CROSS_COMPILING
- CARGO_TARGET_ARGS=--target=$(RUST_TARGET)
--endif
- 
- CARGO_VERBOSE = $(cargo_verbose_$(V))
- cargo_verbose_ = $(cargo_verbose_$(AM_DEFAULT_VERBOSITY))
-diff --git c/configure.ac i/configure.ac
-index d566ab49..456394ff 100644
---- c/configure.ac
-+++ i/configure.ac
-@@ -292,9 +292,7 @@ if test "x$RUST_TARGET" == x; then
- fi
- 
- AM_CONDITIONAL(CROSS_COMPILING, test $cross_compiling = yes)
--if test "x$cross_compiling" = "xyes" ; then
--	RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
--fi
-+RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
- AC_SUBST([RUST_TARGET_SUBDIR])
- 
- dnl ===========================================================================

Copied: lib32-librsvg/repos/multilib-x86_64/multilib.diff (from rev 618312, lib32-librsvg/trunk/multilib.diff)
===================================================================
--- multilib.diff	                        (rev 0)
+++ multilib.diff	2020-04-23 17:56:11 UTC (rev 618313)
@@ -0,0 +1,33 @@
+ Makefile.am  | 2 --
+ configure.ac | 4 +---
+ 2 files changed, 1 insertion(+), 5 deletions(-)
+
+diff --git c/Makefile.am i/Makefile.am
+index acf51182..8fd9eb8f 100644
+--- c/Makefile.am
++++ i/Makefile.am
+@@ -133,9 +133,7 @@ else
+ CARGO_RELEASE_ARGS=--release
+ endif
+ 
+-if CROSS_COMPILING
+ CARGO_TARGET_ARGS=--target=$(RUST_TARGET)
+-endif
+ 
+ CARGO_VERBOSE = $(cargo_verbose_$(V))
+ cargo_verbose_ = $(cargo_verbose_$(AM_DEFAULT_VERBOSITY))
+diff --git c/configure.ac i/configure.ac
+index d566ab49..456394ff 100644
+--- c/configure.ac
++++ i/configure.ac
+@@ -292,9 +292,7 @@ if test "x$RUST_TARGET" == x; then
+ fi
+ 
+ AM_CONDITIONAL(CROSS_COMPILING, test $cross_compiling = yes)
+-if test "x$cross_compiling" = "xyes" ; then
+-	RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
+-fi
++RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
+ AC_SUBST([RUST_TARGET_SUBDIR])
+ 
+ dnl ===========================================================================


More information about the arch-commits mailing list